## dods.util
Class SortedTable

    java.lang.Object
      java.util.Dictionary
          dods.util.SortedTable

public final class SortedTable
extends Dictionary

SortedTable looks exactly like Hashtable but preserves the insertion order of elements. While this results in slower performance, it ensures that the DAS will always be printed in the same order in which it was read.

Constructor Summary
`SortedTable()`

Method Summary
`Object` `elementAt(int index)` Returns the element at the specified index.
`Enumeration` `elements()` Returns an enumeration of the values in this table.
`Object` `get(Object key)` Returns the value to which the key is mapped in this table.
`Vector` `getElementVector()` Returns a Vector containing the elements in the SortedTable.
`Object` `getKey(int index)` Returns the key at the specified index.
`boolean` `isEmpty()` Tests if this table is empty.
`Enumeration` `keys()` Returns an enumeration of the keys in this table.
`Object` `put(Object key, Object value)` Maps the specified key to the specified value in this table.
`Object` `remove(Object key)` Removes the key (and its corresponding value) from this table.
`int` `size()` Returns the number of keys in this table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortedTable

    public SortedTable()

Method Detail

### size

    public int size()

  Returns the number of keys in this table.

### isEmpty

    public boolean isEmpty()

  Tests if this table is empty.

### keys

    public Enumeration keys()

  Returns an enumeration of the keys in this table.

### elements

    public Enumeration elements()

  Returns an enumeration of the values in this table.

### get

    public Object get(Object key)

  Returns the value to which the key is mapped in this table.

  Parameters:
    `key` - a key in this table.
  Returns:
    the value to which the key is mapped, or null if the key is not mapped to any value in the table.

### getKey

    public Object getKey(int index)

  Returns the key at the specified index.

  Parameters:
    `index` - the index to return
  Returns:
    the key at the specified index.

### elementAt

    public Object elementAt(int index)

  Returns the element at the specified index.

  Parameters:
    `index` - the index to return
  Returns:
    the element at the specified index.

### put

    public Object put(Object key,
                      Object value)
               throws NullPointerException

  Maps the specified key to the specified value in this table.

  Parameters:
    `key` - the key
    `value` - the value
  Returns:
    the previous value to which the key is mapped, or null if the key did not have a previous mapping.
  Throws:
    `NullPointerException`

### remove

    public Object remove(Object key)

  Removes the key (and its corresponding value) from this table. If the key is not in the table, do nothing.

  Parameters:
    `key` - the key to remove.
  Returns:
    the value to which the key had been mapped, or null if the key did not have a mapping.

### getElementVector

    public Vector getElementVector()

  Returns a Vector containing the elements in the SortedTable. This is used for more efficient implementation of dods.dap.Util.uniqueNames() by dods.dap.DDS.checkSemantics()

  Returns:
    A Vector containing the elements in this SortedTable.